"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bundle = void 0;
const path_1 = __importDefault(require("path"));
const webpack_1 = __importDefault(require("webpack"));
/**
 * @param basePath -
 * @returns true if the bundle was created
 */
async function bundle(basePath) {
    console.log("Bundling started");
    let res = false;
    try {
        const options = (await Promise.resolve(`${path_1.default.join(basePath, "webpack.config.js")}`).then(s => __importStar(require(s))));
        res = await new Promise((resolve, reject) => {
            (0, webpack_1.default)(options.default, (err, stats) => {
                if (err) {
                    console.error(err.stack ?? err);
                    reject(err);
                    return;
                }
                if (!stats) {
                    const err = "No stats returned from webpack";
                    console.error(err);
                    reject(err);
                    return;
                }
                const info = stats.toJson();
                if (stats.hasErrors()) {
                    console.error(info.errors);
                    reject(info.errors);
                }
                if (stats.hasWarnings()) {
                    console.warn(info.warnings);
                }
                resolve(true);
            });
        });
    }
    catch (e) {
        console.error(e);
        res = false;
    }
    console.log("Bundling done");
    return res;
}
exports.bundle = bundle;
