"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildCircularDeps = void 0;
const madge_1 = __importDefault(require("madge"));
const path_1 = __importDefault(require("path"));
/**
 *
 * @param basePath -
 * @returns true if no circular dependencies are found, false otherwise
 */
async function buildCircularDeps(basePath) {
    let res = false;
    try {
        const madgeRes = await (0, madge_1.default)(path_1.default.join(basePath, "src"), {
            fileExtensions: ["ts"],
            detectiveOptions: {
                ts: {
                    skipTypeImports: true,
                },
            },
        }), circularDeps = madgeRes.circular();
        if (circularDeps.length) {
            console.error("Circular dependencies found!");
            for (const dep of circularDeps) {
                console.error(`${dep.join(" > ")}`);
            }
            res = false;
        }
        else {
            res = true;
        }
    }
    catch (e) {
        console.error(e);
    }
    console.log("Finished checking circular dependencies.");
    return res;
}
exports.buildCircularDeps = buildCircularDeps;
