"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearDist = void 0;
const path_1 = __importDefault(require("path"));
const rimraf_1 = require("rimraf");
/**
 * @param basePath -
 * @returns true if the dist folder was cleared
 */
async function clearDist(basePath) {
    console.log("Clearing dist folder");
    let res = false;
    try {
        await (0, rimraf_1.rimraf)(path_1.default.join(basePath, "dist"));
        res = true;
    }
    catch (e) {
        console.error(e);
        res = false;
    }
    console.log("Clearing dist folder done");
    return res;
}
exports.clearDist = clearDist;
